/* -*- mode: C++; c-basic-offset: 2; indent-tabs-mode: nil -*- */

/*
 *  Main authors:
 *     Ignasi Abio <iabio@nicta.com.au>
 */

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef __MINIZINC_HEULE_HH__
#define __MINIZINC_HEULE_HH__

#include <vector>
//#include <core/Solver.h>

namespace Glucose {
  inline void Heule_quadratic(Solver* s, const std::vector<Lit>& V, Lit halfreif/*Var e*/);
  void/*Var*/ Heule_AMO(Solver* s, const std::vector<Lit>& x, intptr_t parameters, Lit halfreif);
}
#endif
