/* -*- mode: C++; c-basic-offset: 2; indent-tabs-mode: nil -*- */

/*
 *  Main authors:
 *     Ignasi Abio <iabio@nicta.com.au>
 */

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef __MINIZINC_MDD_LI_HH__
#define __MINIZINC_MDD_LI_HH__

#include <vector>
//#include <core/Solver.h>
#include <toSAT/CC/ParametricSimpMergeNetworks.hh>
#include <toSAT/LI/MDD.hh>
#include <toSAT/LI/common.hh>

namespace Glucose {
  void/*Var*/ MDD_leqLI(Solver* s, const std::vector<int>& c, const std::vector<std::vector<Lit> >& x,
			int b, intptr_t parameters, Lit halfreif);
  //Var ret(Solver* s, const std::vector<Lit>& toAdd, Var r=var_Undef);
}
#endif
